We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Syncfusion Feedback


Overview

The React stacked area chart is a chart with y-values stacked on one another in series order. It shows the relationship among individual values to the total sum of the points.


Multi series

You can plot multiple series in a single chart to compare different data sets. Enabling legend and tooltip gives more information about the individual series.


Marker

Mark data points with built-in shapes: circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, pentagons, crosses, and pluses. In addition to these shapes, use images to make the points more attractive.


Data label

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by a given angle.


Multiple axes

Use multiple axes to plot different data sets that vary widely from each other.


Zoom and pan

Enable zooming and panning when dealing with large amounts of data to focus on particular ranges.


Empty/null data point

Handle missing data elegantly with empty points support.


Vertical chart

The React stacked area chart can be transposed vertically to view the data from a different perspective.


Customization

Customize the color and border of the React Stacked Area Chart using built-in APIs.


React Stacked Area Chart Code Example

Easily get started with React Stacked Area using a few simple lines of JS code, as demonstrated below. Also explore our React Stacked Area Chart Example that shows you how to render and configure the stacked area chart component.

import {AxisModel,Category,ChartComponent,Inject,SeriesCollectionDirective, SeriesDirective, StackingAreaSeries} from'@syncfusion/ej2-react-charts';
import * as React from 'react';
class App extends React.Component<{}, {}> {
  public primaryXAxis: AxisModel = { valueType: 'Category'};
  public data1: any[]= [{ x: 'CHN', y: 32, },
  { x: 'GER', y: 15, },
  { x: 'RUS', y: 30 },
  { x: 'BRZ', y: 16 },
  { x: 'IND', y: 25 }];
  public data2: any[]= [{ x: 'CHN', y: 10, },
  { x: 'GER', y: 15, },
  { x: 'RUS', y: 35 },
  { x: 'BRZ', y: 10 },
  { x: 'IND', y: 15 }];
  public render() {
    return <ChartComponent id='charts' primaryXAxis={this.primaryXAxis}>
      <Inject services={[StackingAreaSeries, Category]} />
      <SeriesCollectionDirective>
      <SeriesDirective dataSource={this.data1} xName='x' yName='y' type='StackingArea'/>
      <SeriesDirective dataSource={this.data2} xName='x' yName='y' type='StackingArea'/>
      </SeriesCollectionDirective>
    </ChartComponent>
  }
};
ReactDOM.render(
  <App />,
  document.getElementById('charts') as HTMLElement
);
<!DOCTYPE html>
<html>

<body> 
     <div id="charts"></div>
</body>

</html>

Learning Resources

UG

Stacked Area Chart User Guide

Learn the available options to customize React stacked area chart.

API

Stacked Area Chart API Reference

Explore the React stacked area chart APIs.


90+ REACT UI COMPONENTS

Scroll up icon

We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Syncfusion Feedback


Overview

The Angular stacked area chart is a chart with y-values stacked on one another in series order. It shows the relationship among individual values to the total sum of the points.


Multi series

You can plot multiple series in a single chart to compare different data sets. Enabling legend and tooltip gives more information about the individual series.


Marker

Mark data points with built-in shapes: circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, pentagons, crosses, and pluses. In addition to these shapes, use images to make the points more attractive.


Data label

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by a given angle.


Multiple axes

Use multiple axes to plot different data sets that vary widely from each other.


Zoom and pan

Enable zooming and panning when dealing with large amounts of data to focus on particular ranges.


Empty/null data point

Handle missing data elegantly with empty points support.


Vertical chart

The Angular stacked area chart can be transposed vertically to view the data from a different perspective.


Customization

Customize the color and border of the Angular Stacked Area Chart using built-in APIs.


Angular Stacked Area Chart Code Example

Easily get started with Angular Stacked Area using a few simple lines of JS code, as demonstrated below. Also explore our Angular Stacked Area Chart Example that shows you how to render and configure the stacked area chart component.

<ejs-chart style='display:block' id='chartcontainer'  [primaryXAxis]='primaryXAxis'>
<e-series-collection>
    <e-series [dataSource]='data' type='StackingArea' xName='x' yName='y'> </e-series> 
    <e-series [dataSource]='data1' type='StackingArea' xName='x' yName='y'> </e-series>   
</e-series-collection>
</ejs-chart>
// app.component.ts

import { Component } from '@angular/core';
export class AppComponent {
  public data: Object[] = [{ x: 'CHN', y: 32, },
            { x: 'GER', y: 15, },
            { x: 'RUS', y: 30 },
            { x: 'BRZ', y: 16 },
            { x: 'IND', y: 25 }];
 public data1: Object[] = [{ x: 'CHN', y: 10, },
            { x: 'GER', y: 15, },
            { x: 'RUS', y: 35 },
            { x: 'BRZ', y: 10 },
            { x: 'IND', y: 15 }];
//Initializing Primary X Axis
public primaryXAxis: Object = {
    valueType: 'Category',
     
};
}
// app.module.ts
 
import { ChartModule } from '@syncfusion/ej2-ng-charts';
import { StackingAreaSeries, CategoryService} from '@syncfusion/ej2-ng-charts';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule, ChartModule
  ],
  providers: [ StackingAreaSeries, CategoryService],
  bootstrap: [AppComponent]
})
export class AppModule { }

Learning Resources

UG

Stacked Area Chart User Guide

Learn the available options to customize Angular Stacked Area Chart.

API

Stacked Area Chart API Reference

Explore the Angular Stacked Area Chart APIs.


90+ ANGULAR UI COMPONENTS

Scroll up icon